package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel
public class DrpOrderGoodsIsIntoPageVO {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("采购订单状态(1待提交,2已提交)")
   private Integer orderStatus;
   @ApiModelProperty("采购订单总金额")
   private Long orderAmount;
   @ApiModelProperty("是否已经拆单(1是2否)")
   private Integer ifDismantle;
   @ApiModelProperty("期望送货日期")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("供货地址")
   private String supplyAddress;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库id")
   private String warehouseName;
   @ApiModelProperty("订单标题")
   private String orderTitle;
   @ApiModelProperty("采购审批状态(1待审核,2审批中,3审批通过,4审批不通过)")
   private Integer approveStatus;
   @ApiModelProperty("审批流程id")
   private Long processInstanceId;
   @ApiModelProperty("供应商待确认状态(1待确认,2确认通过,3已拒绝)")
   private Integer supplierConfirmStatus;
   @ApiModelProperty("订单数量")
   private BigDecimal totalNum;
   @ApiModelProperty("入库数量")
   private BigDecimal totalIntoNum;
   @ApiModelProperty("审批人")
   private String approveBy;
   @ApiModelProperty("审批完成时间")
   private LocalDateTime approveTime;
   @ApiModelProperty("制表人")
   private String crby;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getOrderStatus() {
      return this.orderStatus;
   }

   public Long getOrderAmount() {
      return this.orderAmount;
   }

   public Integer getIfDismantle() {
      return this.ifDismantle;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getSupplyAddress() {
      return this.supplyAddress;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getSupplierConfirmStatus() {
      return this.supplierConfirmStatus;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public BigDecimal getTotalIntoNum() {
      return this.totalIntoNum;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getCrby() {
      return this.crby;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setOrderStatus(final Integer orderStatus) {
      this.orderStatus = orderStatus;
   }

   public void setOrderAmount(final Long orderAmount) {
      this.orderAmount = orderAmount;
   }

   public void setIfDismantle(final Integer ifDismantle) {
      this.ifDismantle = ifDismantle;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setSupplyAddress(final String supplyAddress) {
      this.supplyAddress = supplyAddress;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
   }

   public void setSupplierConfirmStatus(final Integer supplierConfirmStatus) {
      this.supplierConfirmStatus = supplierConfirmStatus;
   }

   public void setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
   }

   public void setTotalIntoNum(final BigDecimal totalIntoNum) {
      this.totalIntoNum = totalIntoNum;
   }

   public void setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
   }

   public void setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
   }



   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpOrderGoodsIsIntoPageVO(orderGoodsId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", orderStatus=" + this.getOrderStatus() + ", orderAmount=" + this.getOrderAmount() + ", ifDismantle=" + this.getIfDismantle() + ", requestArrivalTime=" + String.valueOf(this.getRequestArrivalTime()) + ", crtime=" + String.valueOf(this.getCrtime()) + ", supplyAddress=" + this.getSupplyAddress() + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", orderTitle=" + this.getOrderTitle() + ", approveStatus=" + this.getApproveStatus() + ", processInstanceId=" + this.getProcessInstanceId() + ", supplierConfirmStatus=" + this.getSupplierConfirmStatus() + ", totalNum=" + String.valueOf(this.getTotalNum()) + ", totalIntoNum=" + String.valueOf(this.getTotalIntoNum()) + ", approveBy=" + this.getApproveBy() + ", approveTime=" + String.valueOf(this.getApproveTime()) + ", crby=" + this.getCrby() + ")";
   }
}
